| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
oyranos_icc.c File Reference
`#include "oyranos_helper.h"`
`#include "oyranos_i18n.h"`
`#include "oyranos_icc.h"`
`#include "oyranos_image.h"`
`#include "oyranos_io.h"`
`#include "oyranos_texts.h"`
`#include <dlfcn.h>`
`#include <math.h>`

## Functions
int | oyICCColourSpaceGetChannelCount (icColorSpaceSignature color)
| number of channels in a colour space More...
const char * | oyICCColourSpaceGetName (icColorSpaceSignature sig)
| name of a colour space More...
const oyChar * | oyICCColourSpaceGetChannelName (icColorSpaceSignature sig, int pos, int type)
| channel names of a colour space More...
oyCHANNELTYPE_e | oyICCColourSpaceToChannelLayout (icColorSpaceSignature sig, int pos)
| describe a channels characteristic More...
const oyChar * | oyICCTagDescription (icTagSignature sig)
| get tag description More...
const oyChar * | oyICCTagName (icTagSignature sig)
| get tag ~4 char name More...
const oyChar * | oyICCDeviceClassDescription (icProfileClassSignature sig)
| get the ICC profile icProfileClassSignature description More...
const oyChar * | oyICCPlatformDescription (icPlatformSignature platform)
| get the ICC profile platform description More...
const oyChar * | oyICCTagTypeName (icTagTypeSignature sig)
| get tag type ~4 char name More...
const oyChar * | oyICCTechnologyDescription (icTechnologySignature sig)
| get ICC profile icTechnologySignature description More...
const oyChar * | oyICCChromaticityColorantDescription (icSignature sig)
| get ICC profile Chromaticity Colorant description More...
const oyChar * | oyICCIlluminantDescription (icIlluminant sig)
| get ICC profile illuminant description More...
const oyChar * | oyICCStandardObserverDescription (icStandardObserver sig)
| get ICC profile Standard Observer description More...
const oyChar * | oyICCMeasurementGeometryDescription (icMeasurementGeometry sig)
| get ICC profile Measurement Geometry description More...
const oyChar * | oyICCMeasurementFlareDescription (icMeasurementFlare sig)
| get ICC profile Measurement Flare description More...

## Detailed Description

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann